Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class JDBCControlPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.ControlPlugin
              net.hyperic.hq.product.JDBCControlPlugin

public abstract class JDBCControlPlugin
extends ControlPlugin

Field Summary
`protected java.lang.String` `password`
`protected java.lang.String` `table`
`protected java.lang.String` `url`
`protected java.lang.String` `user`

Fields inherited from class net.hyperic.hq.product.ControlPlugin
`DEFAULT_TIMEOUT, manager, PROP_TIMEOUT, RESULT_FAILURE, RESULT_SUCCESS, STATE_RESTARTING, STATE_STARTED, STATE_STARTING, STATE_STOPPED, STATE_STOPPING, STATE_UNKNOWN`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`JDBCControlPlugin()`

Method Summary
`void` `configure(ConfigResponse config)`
`abstract void` `doAction(java.lang.String action)` Invokes plugin method with the name of param action.
`void` `execute(java.lang.String query)`
`void` `executeQuery(java.lang.String query)`
`protected abstract java.sql.Connection` `getConnection(java.lang.String url, java.lang.String user, java.lang.String password)` The plugin must preform the DriverManager.getConnection so its ClassLoader is used to find the driver.
`protected abstract java.lang.Class` `getDriver()` The plugin must preform the Class.forName so its ClassLoader is used to find the driver.
`boolean` `isRunning()`

Methods inherited from class net.hyperic.hq.product.ControlPlugin
`detectState, getActions, getConfigSchema, getErrorStr, getManager, getResult, getTimeout, getTimeoutMillis, init, setErrorStr, setManager, setResult, setTimeout, setTimeout, waitForState`

Methods inherited from class net.hyperic.hq.product.GenericPlugin

`getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    protected java.lang.String url

### user

    protected java.lang.String user

### password

    protected java.lang.String password

### table

    protected java.lang.String table

Constructor Detail

### JDBCControlPlugin

    public JDBCControlPlugin()

Method Detail

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `GenericPlugin`
  Throws:
    `PluginException`

### isRunning

    public boolean isRunning()

  Overrides:
    `isRunning` in class `ControlPlugin`

### getDriver

    protected abstract java.lang.Class getDriver()
                                          throws java.lang.ClassNotFoundException

  The plugin must preform the Class.forName so its ClassLoader is used to find the driver.

  Throws:
    `java.lang.ClassNotFoundException`

### getConnection

    protected abstract java.sql.Connection getConnection(java.lang.String url,
                                                         java.lang.String user,
                                                         java.lang.String password)
                                                  throws java.sql.SQLException

  The plugin must preform the DriverManager.getConnection so its ClassLoader is used to find the driver.

  Throws:
    `java.sql.SQLException`

### doAction

    public abstract void doAction(java.lang.String action)
                           throws PluginException

  Description copied from class: `ControlPlugin`
  Invokes plugin method with the name of param action.

  Overrides:
    `doAction` in class `ControlPlugin`
  Throws:
    `PluginException`

### execute

    public void execute(java.lang.String query)
                 throws PluginException

  Throws:
    `PluginException`

### executeQuery

    public void executeQuery(java.lang.String query)
                      throws PluginException

  Throws:
    `PluginException`

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.